package cn.tsy.data.idsse.dsds.model.sar;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;

/**********************************************
 * 航次日志记录
 * 
 * @author: zxq
 * @date: 2024-05-16 16:55:43
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmesoft.cn
 */
@HmeTable(name = "SAR_LOG", key = "TSY_ID")
public class SarLog extends HmeBean {
	private static final long serialVersionUID = -2846311952059657745L;
	private Integer tsy_id;
	// 航次名称
	private Integer sar_id;
	// 操作员编号
	private Integer optr_id;
	// 操作员名称
	private String optr_name;
	// 登录名称
	private String login_name;
	// 日志类型
	private String log_type;
	// 日志值
	private String log_value;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 航次名称
	 */
	public Integer getSar_id() {
		return this.sar_id;
	}

	/****
	 * 航次名称
	 */
	public void setSar_id(Integer sar_id) {
		this.sar_id = sar_id;
	}

	/****
	 * 操作员编号
	 */
	public Integer getOptr_id() {
		return this.optr_id;
	}

	/****
	 * 操作员编号
	 */
	public void setOptr_id(Integer optr_id) {
		this.optr_id = optr_id;
	}

	/****
	 * 操作员名称
	 */
	public String getOptr_name() {
		return this.optr_name;
	}

	/****
	 * 操作员名称
	 */
	public void setOptr_name(String optr_name) {
		this.optr_name = optr_name;
	}

	/****
	 * 登录名称
	 */
	public String getLogin_name() {
		return this.login_name;
	}

	/****
	 * 登录名称
	 */
	public void setLogin_name(String login_name) {
		this.login_name = login_name;
	}

	/****
	 * 日志类型
	 */
	public String getLog_type() {
		return this.log_type;
	}

	/****
	 * 日志类型
	 */
	public void setLog_type(String log_type) {
		this.log_type = log_type;
	}

	/****
	 * 日志值
	 */
	public String getLog_value() {
		return this.log_value;
	}

	/****
	 * 日志值
	 */
	public void setLog_value(String log_value) {
		this.log_value = log_value;
	}

}